#### Previous topic

scipy.integrate.simps

#### Next topic

scipy.integrate.odeint

# scipy.integrate.romb

`scipy.integrate.``romb`(y, dx=1.0, axis=-1, show=False)

  Romberg integration using samples of a function.

  Parameters:

  y : array_like

  > A vector of `2**k + 1` equally-spaced samples of a function.

  dx : float, optional

  > The sample spacing. Default is 1.

  axis : int, optional

  > The axis along which to integrate. Default is -1 (last axis).

  show : bool, optional

  > When y is a single 1-D array, then if this argument is True print the table showing Richardson extrapolation from the samples. Default is False.

  Returns:

  romb : ndarray

  > The integrated result for axis.

  See also

  `quad`
    adaptive quadrature using QUADPACK
  `romberg`
    adaptive Romberg quadrature
  `quadrature`
    adaptive Gaussian quadrature
  `fixed_quad`
    fixed-order Gaussian quadrature
  `dblquad`
    double integrals
  `tplquad`
    triple integrals
  `simps`
    integrators for sampled data
  `cumtrapz`
    cumulative integration for sampled data
  `ode`
    ODE integrators
  `odeint`
    ODE integrators